from setuptools import setup
import os

# قراءة README
with open("README.md", "r", encoding="utf-8") as f:
    desc = f.read()

# تأكد من وجود الحزمة
os.makedirs("seismo_framework", exist_ok=True)
with open("seismo_framework/__init__.py", "w") as f:
    f.write('__version__ = "1.0.8"')

setup(
    name="seismo-framework",
    version="1.0.8",
    long_description=desc,
    long_description_content_type="text/markdown",
    packages=["seismo_framework"],
)
